<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { Disclaimer } from '@/components/gartner/index.vue';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  components: {
    Disclaimer,
  },
  async asyncData({ $content, i18n }: any) {
    try {
      const doc = await $content(i18n.locale, 'privacy/cookies').fetch();
      return { doc };
    } catch (e) {
      throw new Error(e);
    }
  },
  nuxtI18n: {
    locales: ['en-us', 'de-de', 'fr-fr', 'ja-jp'],
    defaultLocale: 'en-us', // Set English as the default locale
  },
  head(): MetaInfo {
    return getPageMetadata(
      (this as any).doc[0],
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
  },
});
</script>

<template>
  <div class="privacy">
    <SlpContainer class="slp-mb-96">
      <section>
        <SlpTypography
          variant="heading1-bold"
          tag="h1"
          class="slp-mt-64 slp-mb-24"
        >
          {{ doc[0].hero_title }}
        </SlpTypography>
        <SlpHorizontalRule />
        <SlpTypography tag="div" variant="body1" class="slp-mt-32">
          <span class="hero-copy" v-html="$md.render(doc[0].copy)"> </span>
        </SlpTypography>
      </section>
      <div class="hero-gradient slp-mt-64 slp-mb-24"></div>

      <SlpSideNavigation :data="doc[0].side_menu">
        <section
          v-for="section in doc[0].sections"
          :id="section.id"
          :key="section.header"
          class="body-copy"
        >
          <SlpTypography tag="h2" variant="heading4-bold" class="slp-my-32">
            {{ section.header }}
          </SlpTypography>
          <SlpTypography tag="div" variant="body2">
            <span v-html="$md.render(section.text)"> </span>
          </SlpTypography>
        </section>
      </SlpSideNavigation>
    </SlpContainer>
    <Disclaimer v-if="doc[0]?.disclaimer" v-bind="doc[0].disclaimer" />
  </div>
</template>

<style lang="scss" scoped>
.privacy > * {
  word-wrap: break-word;
}
.last-updated {
  font-style: italic;
}

.hero-gradient {
  background: linear-gradient(90deg, #ffc8c6 0%, #b3bded 100%);
  height: 4px;
  width: 95px;
  border-radius: 10px;
}

.hero-copy:deep,
.body-copy:deep {
  ul {
    list-style-type: disc;
    list-style-position: inside;
    padding-left: 2.3em;
  }

  li {
    margin-bottom: $spacing-8;
  }

  p,
  ul,
  h2,
  h3 {
    margin-bottom: $spacing-16;
  }

  li > p {
    display: inline;
  }

  h3 {
    font-size: 32px;
    line-height: 28px;
    font-weight: $font-weight-bold;
    margin: $spacing-32 0 $spacing-24 0;
  }
}
</style>
